// OpenCV headers
#include "cvaux.h"
#include "highgui.h"

int main(int argc, char* argv[])
{	
	// Chargement d'une image au format bitmap.
	IplImage* image = cvLoadImage("image.bmp");

	// Récupère une conversion en unsigned char* de image->imageData,
	// qui était de type char*.
	unsigned char* data = reinterpret_cast<unsigned char*>(image->imageData);

	for (int i = 0; i < image->height; i++)
	{
		for (int j = 0; j < image->width; j++)
		{
			//data[0+3*j+3*image->width*i] = 0; // Bleu
			//data[1+3*j+3*image->width*i] = 0; // Vert
			data[2+3*j+3*image->width*i] = 0; // Rouge
		}
	}

	// Création d'une fenêtre.
	cvNamedWindow("Fenêtre");

	// Affichage de l'image.
	cvShowImage("Fenêtre", image);

	// Attend que l'utilisateur appuye sur une touche.
	cvWaitKey(0);

	// Libération de la mémoire utilisée pour l'image chargée.
	cvReleaseImage(&image);

	// Destruction de la fenêtre.
	cvDestroyWindow("Fenêtre");

	return 0;
}
